Updates the unavailability with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Request Formats :

application/json, text/json

Sample:
{
  "id": "efebbf35-a699-459a-aa7e-61d3a2047a5c",
  "date_start": "2026-10-28T21:49:07.6041396+00:00",
  "date_end": "2026-10-28T21:49:07.6041396+00:00",
  "modified_dateutc": "2026-10-28T21:49:07.6041396+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "801557dd-5842-42ca-affc-05d811c0e198",
  "user_code": "sample string 8",
  "user": {
    "id": "5cc5cf91-026e-4c71-9961-0d24a8a21800",
    "db_language_id": "fcc23508-bd8d-45a4-a430-5a401251fa80",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-10-28T21:49:07.635393+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "470316ec-ef0d-4f7b-8949-81517989f2de",
    "sales_organization": {
      "id": "41be32c4-4e3c-42fa-bbac-284884d2dce2",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "574d9dba-d4c3-4a3b-8165-d7afdfae11d6",
      "db_currency_id": "c6914820-ff93-463f-ba2b-cb4955b2cdf5",
      "db_language_id": "4757502f-4817-40d9-8bb2-4ecb94240023",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-28T21:49:07.635393+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "c9bc7693-a78c-4f67-be96-341c46f8a677",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "e0cab11c-c27b-4856-885a-bda1b0214092",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-10-28T21:49:07.635393+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "7a6568a1-398e-4986-9f16-151aaf9f61ae"
  },
  "user_unavailability_type_id": "b5d19787-9f70-4865-a190-bacebc935d7f",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "94470d1f-046f-456d-a3b7-77f70be5f7cc",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "4c34bc72-d32e-4f18-adfc-4551fa72133f",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "41be32c4-4e3c-42fa-bbac-284884d2dce2",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "574d9dba-d4c3-4a3b-8165-d7afdfae11d6",
      "db_currency_id": "c6914820-ff93-463f-ba2b-cb4955b2cdf5",
      "db_language_id": "4757502f-4817-40d9-8bb2-4ecb94240023",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-28T21:49:07.635393+00:00"
    },
    "modified_dateutc": "2026-10-28T21:49:07.635393+00:00"
  }
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.